Show / Hide Table of Contents

# Struct ResourceHandle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Resource.Handle

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ResourceHandle

### Fields

| Improve this Doc View Source

#### Category

##### Declaration

    public ResourceCategory Category

##### Field Value

Type | Description
--- | ---
ResourceCategory |

| Improve this Doc View Source

#### FileName

##### Declaration

    public StdString FileName

##### Field Value

Type | Description
--- | ---
StdString |

| Improve this Doc View Source

#### FileSize

##### Declaration

    public uint FileSize

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FileSize2

##### Declaration

    public uint FileSize2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FileSize3

##### Declaration

    public uint FileSize3

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FileType

##### Declaration

    public uint FileType

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Id

##### Declaration

    public uint Id

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RefCount

##### Declaration

    public uint RefCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### vfunc

##### Declaration

    public void **vfunc

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### DecRef()

##### Declaration

    public bool DecRef()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IncRef()

##### Declaration

    public bool IncRef()

##### Returns

Type | Description
--- | ---
System.Boolean |